proposal: update Geomajas to java8 and Gwt 2.8.x

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

proposal: update Geomajas to java8 and Gwt 2.8.x

Jan Venstermans-3
Hallo,

I was running into some issues when I was trying to change something to geomajas-server.
Base problem: locally, I use java 8, but some Geomajas code is not running well with that. (e.g. http://jira.geomajas.org/browse/SLD-21)

On top of that, some tools used in Geomajas fail to work properly, unless configured correctly for java8, e.g. travis-ci and jenkins.

I would propose that we upgrade Geomajas to java8.
To do it well, this would mean:
* change geomajas-parents property "geomajas-version-java" to 1.8
* in all .travis.yml files => change "jdk" to "oraclejdk8"
* release geomajas-parents and all projects depending on that
=> is this minor release?

Geomajas currently uses Gwt 2.7.x, linked to java7.
So extra proposal: update Gwt version to 2.8.x, e.g. latest 2.8.2. This version enables using java8.

What are the general ideas on these proposals?

kind regards,
JanV

_______________________________________________
Majas-dev mailing list
[hidden email]
http://lists.geomajas.org/mailman/listinfo/majas-dev
Reply | Threaded
Open this post in threaded view
|

Re: proposal: update Geomajas to java8 and Gwt 2.8.x

Oliver May
Hi Jan, 

I support this. 

I guess this will be a major release, because it might break some stuff.

cheers, 

Oliver

On Sat, Jul 14, 2018 at 9:06 PM, Jan Venstermans <[hidden email]> wrote:
Hallo,

I was running into some issues when I was trying to change something to geomajas-server.
Base problem: locally, I use java 8, but some Geomajas code is not running well with that. (e.g. http://jira.geomajas.org/browse/SLD-21)

On top of that, some tools used in Geomajas fail to work properly, unless configured correctly for java8, e.g. travis-ci and jenkins.

I would propose that we upgrade Geomajas to java8.
To do it well, this would mean:
* change geomajas-parents property "geomajas-version-java" to 1.8
* in all .travis.yml files => change "jdk" to "oraclejdk8"
* release geomajas-parents and all projects depending on that
=> is this minor release?

Geomajas currently uses Gwt 2.7.x, linked to java7.
So extra proposal: update Gwt version to 2.8.x, e.g. latest 2.8.2. This version enables using java8.

What are the general ideas on these proposals?

kind regards,
JanV

_______________________________________________
Majas-dev mailing list
[hidden email]
http://lists.geomajas.org/mailman/listinfo/majas-dev



_______________________________________________
Majas-dev mailing list
[hidden email]
http://lists.geomajas.org/mailman/listinfo/majas-dev